Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.builder
Class WsdlClientMessageProcessorBuilder

    java.lang.Object
      org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
          org.mule.module.cxf.builder.WsdlClientMessageProcessorBuilder

All Implemented Interfaces:
  MuleContextAware, MessageProcessorBuilder

    public class WsdlClientMessageProcessorBuilder

extends AbstractOutboundMessageProcessorBuilder

Builds an outbound CXF MessageProcessor based on a WSDL using CXF's `DynamicClientFactory`. The `wsdlLocation` attribute is required. The port and service attributes can also be supplied to select the correct service and port in the WSDL.

Field Summary

Fields inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`address, client, configuration, databinding, decoupledEndpoint, defaultMethod, defaultMethodName, enableMuleSoapHeaders, features, inFaultInterceptors, inInterceptors, mtomEnabled, muleContext, operation, outFaultInterceptors, outInterceptors, payloadToArguments, properties, wsdlLocation`

Constructor Summary
`WsdlClientMessageProcessorBuilder()`

Method Summary
`protected org.apache.cxf.endpoint.Client` | `createClient()`
`String` | `getPort()`
`String` | `getService()`
`void` | `setPort(String port)`
`void` | `setService(String service)`

Methods inherited from class org.mule.module.cxf.builder.AbstractOutboundMessageProcessorBuilder
`addMuleInterceptors, build, configureClient, configureMessageProcessor, createClientFromLocalServer, createMessageProcessor, getAddress, getBus, getClient, getConfiguration, getDatabinding, getDecoupledEndpoint, getFeatures, getInFaultInterceptors, getInInterceptors, getOperation, getOutFaultInterceptors, getOutInterceptors, getPayloadToArguments, getProperties, getWsdlLocation, isEnableMuleSoapHeaders, isMtomEnabled, setAddress, setConfiguration, setDatabinding, setDecoupledEndpoint, setEnableMuleSoapHeaders, setFeatures, setInFaultInterceptors, setInInterceptors, setMtomEnabled, setMuleContext, setOperation, setOutFaultInterceptors, setOutInterceptors, setPayloadToArguments, setProperties, setWsdlLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlClientMessageProcessorBuilder

    public WsdlClientMessageProcessorBuilder()

Method Detail

### createClient

    protected org.apache.cxf.endpoint.Client createClient()
                                                   throws Exception

  Specified by:
    `createClient` in class `AbstractOutboundMessageProcessorBuilder`
  Throws:
    `Exception`

### getService

    public String getService()

### setService

    public void setService(String service)

### getPort

    public String getPort()

### setPort

    public void setPort(String port)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.